summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-05-12 14:55:36 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-05-12 16:01:15 +0200
commit1e62bbc175408949f57833235bf3bcfecf99638c (patch)
tree0acd97bd97458eb52c5d438429d281b927e77f79 /kde-frameworks/kwindowsystem
parentkde5-functions.eclass: Raise QT_MINIMAL to 5.9.4 (diff)
downloadgentoo-1e62bbc175408949f57833235bf3bcfecf99638c.tar.gz
gentoo-1e62bbc175408949f57833235bf3bcfecf99638c.tar.bz2
gentoo-1e62bbc175408949f57833235bf3bcfecf99638c.zip
kde-frameworks: Add KDE Frameworks 5.46.0
Package-Manager: Portage-2.3.36, Repoman-2.3.9
Diffstat (limited to 'kde-frameworks/kwindowsystem')
-rw-r--r--kde-frameworks/kwindowsystem/Manifest1
-rw-r--r--kde-frameworks/kwindowsystem/kwindowsystem-5.46.0.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/kde-frameworks/kwindowsystem/Manifest b/kde-frameworks/kwindowsystem/Manifest
index 2395f0573fb..8a4c694df8d 100644
--- a/kde-frameworks/kwindowsystem/Manifest
+++ b/kde-frameworks/kwindowsystem/Manifest
@@ -1,2 +1,3 @@
DIST kwindowsystem-5.43.0.tar.xz 169592 BLAKE2B 24bad3c5b54fac52a9aa7cc5beb40214fba14759fd67478c2b38db600562b46f995ddceacacf41925f4df3f980cad9262de6057d50c173011fd9744acdf7881e SHA512 fa3df2f1a3eb1596ef429b8e84ce9696ffef3aa125727f0becf725b949611022887074a796116aadbb81adf6e5ff8e3b9fd49e72cf0066138c91ef09fdffd1c8
DIST kwindowsystem-5.45.0.tar.xz 170060 BLAKE2B fa03594444f6f779bb87189421bd6dab7045fadee7ab510c8b0610da9d89464f3157b74438e7ac5b0072f497fca699089aa49ce47bfd8d4a94278dc08346cddb SHA512 1829a8dd2cdf3ab6a9bd48ceceef42efc8379db0420c072059de31577677bcdf2ea09dc1f527f41e4578e6a7bef0771e13b37735ad61c3e640dd3f9e69d81617
+DIST kwindowsystem-5.46.0.tar.xz 169756 BLAKE2B 32421aa4daf9617bf5f2c6fd89b923371932a7a3b9374db2bce847c932449519d5c26285861273b4c4cdefcfebe7d9acc016adc2c728961451c7af1a58547256 SHA512 a7d0b05445c1d5fba74d8e1f9330711c402cfab630d219f3556848020e5ef18517a5e4599c67f761cbf92635a7f30c705234142b94967803e288e49f8036d10c
diff --git a/kde-frameworks/kwindowsystem/kwindowsystem-5.46.0.ebuild b/kde-frameworks/kwindowsystem/kwindowsystem-5.46.0.ebuild
new file mode 100644
index 00000000000..0c0b8f82e49
--- /dev/null
+++ b/kde-frameworks/kwindowsystem/kwindowsystem-5.46.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Framework providing access to properties and features of the window manager"
+LICENSE="|| ( LGPL-2.1 LGPL-3 ) MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="nls X"
+
+RDEPEND="
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ X? (
+ $(add_qt_dep qtx11extras)
+ x11-libs/libX11
+ x11-libs/libXfixes
+ x11-libs/libxcb
+ x11-libs/xcb-util-keysyms
+ )
+"
+DEPEND="${RDEPEND}
+ nls? ( $(add_qt_dep linguist-tools) )
+ X? ( x11-base/xorg-proto )
+"
+
+RESTRICT+=" test"
+
+DOCS=( "docs/README.kstartupinfo" )
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package X X11)
+ )
+
+ kde5_src_configure
+}